# workflows versions delete

## Synopsis

```shell
omics workbench workflows versions delete VERSION_ID 
  [--workflow=WORKFLOW_ID]
  [--force]
```

## Description

Delete a specific version within a workflow. When a version is deleted, it becomes unusable for future runs, but a reference to the version is retained for provenance purposes.

## Examples

Delete a version

```shell
omics workbench workflows versions delete v1 --workflow wf12345
```

Delete a version using the `--force` flag without prompting for confirmation:

```shell
omics workbench workflows versions delete v2 --workflow wf67890 --force
```

## Positional Arguments

### `VERSION_ID`

**Required**. Specify the identifier of the version that you want to delete.

## Flags

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the identifier of the workflow from which you want to delete the version.

### `--force`

Delete the version without prompting for confirmation. Use this flag if you want to force the deletion.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
